let fs = require('fs');
let iconv = require('iconv-lite');
let Handlebars = require('Handlebars');
let projectDir = process.cwd();
function writeFile(file,options) {
    fs.readFile(file,'utf8',function(err, data) {
        if (err)
            console.log("读取文件fail " + err);
        else {
            // 把数组转换为gbk中文
            var str = data;
            // console.log(str);
            var template = Handlebars.compile(str);
            var result = template(options);
            fs.writeFile(file, result, function(err) {
                if (err)
                    console.log("fail " + err);
                else{
                    // console.log("写入文件ok");
                }
            });
        }
    });
}
module.exports = writeFile;
