import exmpleController from "./scripts/controllers/exmple"
import './entry.scss'
import template from './views/exmple.html'
angular.module( 'wdng.exmple', [ 'ui.router' ] )
	.controller( 'exmpleController', exmpleController )
	.config( [
		'$stateProvider',
		'$urlRouterProvider',
		( $stateProvider, $urlRouterProvider ) => {
			$stateProvider
				.state( 'index.exmple', {
					url : '/exmple',
					views : {
						'content' : {
							template : template,
							controller : 'exmpleController as ctrl'
						}
					}
				} )
		}
	] )
